## Class Swift_StreamFilters_ByteArrayReplacementFilter

(line 19)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/StreamFilters/ByteArrayReplacementFilter.php

##### Processes bytes as they pass through a buffer and replaces sequences in it.

This stream filter deals with Byte arrays rather than simple strings.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_StreamFilters_ByteArrayReplacementFilter __construct (array $search, array $replace)
array filter (array $buffer, [ $_minReplaces = -1])
boolean shouldBuffer (array $buffer)

#### Constructor __construct (line 45)

#### Swift_StreamFilters_ByteArrayReplacementFilter __construct( array $search, array $replace)

##### Create a new ByteArrayReplacementFilter with $search and $replace.

#### Parameters

- array $search:
- array $replace:

#### Info

- access - public

#### Method filter (line 127)

#### array filter( array $buffer, [ $_minReplaces = -1])

Implementation of:

Swift_StreamFilter::filter()
  Filters $buffer and returns the changes.

##### Perform the actual replacements on $buffer and return the result.

#### Parameters

- array $buffer:
- $_minReplaces:

#### Info

- access - public

#### Method shouldBuffer (line 116)

#### boolean shouldBuffer( array $buffer)

Implementation of:

Swift_StreamFilter::shouldBuffer()
  Based on the buffer given, this returns true if more buffering is needed.

##### Returns true if based on the buffer passed more bytes should be buffered.

#### Parameters

- array $buffer:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:16 +0000 by phpDocumentor 1.4.3